# $Revision: 1.20 $, $Date: 2012/05/17 20:49:33 $
Summary:	Radio plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka z radiem dla panelu Xfce
Name:		xfce4-radio-plugin
Version:	0.5.1
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-radio-plugin/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	237001f3a134c28c16bcd07b57168150
Patch0:		%{name}-ui.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an Xfce panel plugin which allows you to control your V4l
radio device. You can turn your radio on/off, tune it to some
frequency and manage station presets.

%description -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla panelu Xfce pozwalającą sterować radiem
dostępnym przez interfejs V4l. Można włączać i wyłączać radio, stroić
na jakąś częstotliwość i zarządzać ustawieniami stacji.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-radio-plugin.spec,v $
Revision 1.20  2012/05/17 20:49:33  baggins
- use macro

Revision 1.19  2012/05/17 20:46:29  baggins
- 0.5.1

Revision 1.18  2011/03/16 22:21:01  baggins
- 0.4.5
- license changed to GPLv3

Revision 1.17  2011/03/01 12:26:44  baggins
- rel 4
- port to libxfce4ui

Revision 1.16  2011/02/17 13:25:39  megabajt
- release 3

Revision 1.15  2011/02/04 18:24:10  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.14  2011/02/02 16:27:43  sparky
- BR: intltool

Revision 1.13  2010/11/11 17:30:17  baggins
- 0.4.4

Revision 1.12  2009/03/21 11:57:11  duddits
- up to 0.4.2
- cleaning

Revision 1.11  2009/01/24 00:20:21  adamg
- updated to 0.4.1

Revision 1.10  2008/06/29 11:43:43  hawk
- locale fix: pt_PT -> pt

Revision 1.9  2008/06/20 06:07:33  adamg
- updated to 0.3.1

Revision 1.8  2007-12-08 20:02:41  megabajt
- updated Source0 URL

Revision 1.7  2007-12-08 18:03:08  megabajt
- updated to 0.2.1

Revision 1.6  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2007/01/26 18:00:17  megabajt
- updated deps, URL
- added %update_icon_cache macro

Revision 1.3  2006/05/24 18:53:26  charles
- rel. 1

Revision 1.2  2006/05/23 19:30:47  qboosh
- pl

Revision 1.1  2006/05/17 23:48:15  charles
- new
